summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorRemi Collet <remi@remirepo.net>2018-04-26 16:01:20 +0200
committerRemi Collet <remi@remirepo.net>2018-04-26 16:01:20 +0200
commit458b4fd82f5d22bf0a72b813c611818e271ed93e (patch)
tree17db4711a6d296371d0aec198df18d8ed47961ba
parent608dc6842cca8454b0d71dcd2b84180bbc9bd94c (diff)
update to 2.9.0HEADmaster
raise dependency to PHP 5.6 switch to phpunit6 or phpunit7 use range dependencies on F27+
-rw-r--r--composer.json70
-rw-r--r--php-zendframework-zend-navigation.spec114
2 files changed, 117 insertions, 67 deletions
diff --git a/composer.json b/composer.json
index 3016210..1df5536 100644
--- a/composer.json
+++ b/composer.json
@@ -1,60 +1,69 @@
{
"name": "zendframework/zend-navigation",
- "description": "provides support for managing trees of pointers to web pages",
+ "description": "Manage trees of pointers to web pages in order to build navigation systems",
"license": "BSD-3-Clause",
"keywords": [
- "zf2",
+ "zendframework",
+ "zf",
"navigation"
],
- "homepage": "https://github.com/zendframework/zend-navigation",
- "autoload": {
- "psr-4": {
- "Zend\\Navigation\\": "src/"
- }
+ "support": {
+ "docs": "https://docs.zendframework.com/zend-navigation/",
+ "issues": "https://github.com/zendframework/zend-navigation/issues",
+ "source": "https://github.com/zendframework/zend-navigation",
+ "rss": "https://github.com/zendframework/zend-navigation/releases.atom",
+ "chat": "https://zendframework-slack.herokuapp.com",
+ "forum": "https://discourse.zendframework.com/c/questions/components"
},
"require": {
- "php": "^5.5 || ^7.0",
+ "php": "^5.6 || ^7.0",
"zendframework/zend-stdlib": "^2.7 || ^3.0"
},
"require-dev": {
- "zendframework/zend-config": "^2.6",
+ "phpunit/phpunit": "^5.7.27 || ^6.5.8 || ^7.1.2",
+ "zendframework/zend-coding-standard": "~1.0.0",
+ "zendframework/zend-config": "^2.6 || ^3.1",
"zendframework/zend-console": "^2.6",
- "zendframework/zend-http": "^2.5.4",
- "zendframework/zend-i18n": "^2.6",
- "zendframework/zend-log": "^2.7.1",
- "zendframework/zend-mvc": "^2.7.9 || ^3.0",
- "zendframework/zend-router": "^3.0",
+ "zendframework/zend-http": "^2.6",
+ "zendframework/zend-i18n": "^2.7.3",
+ "zendframework/zend-log": "^2.9.1",
+ "zendframework/zend-mvc": "^2.7.9 || ^3.0.4",
"zendframework/zend-permissions-acl": "^2.6",
+ "zendframework/zend-router": "^3.0.2",
"zendframework/zend-servicemanager": "^2.7.5 || ^3.0.3",
- "zendframework/zend-uri": "^2.5",
- "zendframework/zend-view": "^2.6.5",
- "phpunit/phpunit": "^4.6",
- "zendframework/zend-coding-standard": "~1.0.0"
+ "zendframework/zend-uri": "^2.5.2",
+ "zendframework/zend-view": "^2.9"
},
"suggest": {
- "zendframework/zend-config": "^2.6, to provide page configuration (optional, as arrays and Traversables are also allowed)",
+ "zendframework/zend-config": "^2.6 || ^3.1, to provide page configuration (optional, as arrays and Traversables are also allowed)",
"zendframework/zend-permissions-acl": "^2.6, to provide ACL-based access restrictions to pages",
"zendframework/zend-router": "^3.0, to use router-based URI generation with Mvc pages",
"zendframework/zend-servicemanager": "^2.7.5 || ^3.0.3, to use the navigation factories",
- "zendframework/zend-view": "^2.6.5, to use the navigation view helpers"
+ "zendframework/zend-view": "^2.8.1, to use the navigation view helpers"
+ },
+ "autoload": {
+ "psr-4": {
+ "Zend\\Navigation\\": "src/"
+ }
+ },
+ "autoload-dev": {
+ "psr-4": {
+ "ZendTest\\Navigation\\": "test/"
+ }
+ },
+ "config": {
+ "sort-packages": true
},
- "minimum-stability": "dev",
- "prefer-stable": true,
"extra": {
"branch-alias": {
- "dev-master": "2.8-dev",
- "dev-develop": "2.9-dev"
+ "dev-master": "2.9.x-dev",
+ "dev-develop": "2.10.x-dev"
},
"zf": {
"component": "Zend\\Navigation",
"config-provider": "Zend\\Navigation\\ConfigProvider"
}
},
- "autoload-dev": {
- "psr-4": {
- "ZendTest\\Navigation\\": "test/"
- }
- },
"scripts": {
"check": [
"@cs-check",
@@ -63,7 +72,6 @@
"cs-check": "phpcs",
"cs-fix": "phpcbf",
"test": "phpunit --colors=always",
- "test-coverage": "phpunit --colors=always --coverage-clover clover.xml",
- "upload-coverage": "coveralls -v"
+ "test-coverage": "phpunit --colors=always --coverage-clover clover.xml"
}
}
diff --git a/php-zendframework-zend-navigation.spec b/php-zendframework-zend-navigation.spec
index f19bc62..90589d3 100644
--- a/php-zendframework-zend-navigation.spec
+++ b/php-zendframework-zend-navigation.spec
@@ -1,13 +1,13 @@
# remirepo/Fedora spec file for php-zendframework-zend-navigation
#
-# Copyright (c) 2015-2017 Remi Collet
+# Copyright (c) 2015-2018 Remi Collet
# License: CC-BY-SA
# http://creativecommons.org/licenses/by-sa/4.0/
#
# Please, preserve the changelog entries
#
%global bootstrap 0
-%global gh_commit bcf78525bcfdb7956a516f0a122e5b3fde649d97
+%global gh_commit a8b088f64929e172617e02d2089cc00573a61210
%global gh_short %(c=%{gh_commit}; echo ${c:0:7})
%global gh_owner zendframework
%global gh_project zend-navigation
@@ -20,11 +20,10 @@
%endif
Name: php-%{gh_owner}-%{gh_project}
-Version: 2.8.2
-Release: 3%{?dist}
+Version: 2.9.0
+Release: 2%{?dist}
Summary: Zend Framework %{library} component
-Group: Development/Libraries
License: BSD
URL: https://zendframework.github.io/%{gh_project}/
Source0: %{gh_commit}/%{name}-%{version}-%{gh_short}.tgz
@@ -33,61 +32,97 @@ Source1: makesrc.sh
BuildArch: noarch
# Tests
%if %{with_tests}
-BuildRequires: php(language) >= 5.5
+BuildRequires: php(language) >= 5.6
BuildRequires: php-pcre
BuildRequires: php-spl
-BuildRequires: php-autoloader(%{gh_owner}/zend-stdlib) >= 2.7
# From composer, "require-dev": {
-# "zendframework/zend-config": "^2.6",
+# "phpunit/phpunit": "^5.7.27 || ^6.5.8 || ^7.1.2",
+# "zendframework/zend-coding-standard": "~1.0.0",
+# "zendframework/zend-config": "^2.6 || ^3.1",
# "zendframework/zend-console": "^2.6",
-# "zendframework/zend-http": "^2.5.4",
-# "zendframework/zend-i18n": "^2.6",
-# "zendframework/zend-log": "^2.7.1",
-# "zendframework/zend-mvc": "^2.7.9 || ^3.0",
-# "zendframework/zend-router": "^3.0",
+# "zendframework/zend-http": "^2.6",
+# "zendframework/zend-i18n": "^2.7.3",
+# "zendframework/zend-log": "^2.9.1",
+# "zendframework/zend-mvc": "^2.7.9 || ^3.0.4",
# "zendframework/zend-permissions-acl": "^2.6",
+# "zendframework/zend-router": "^3.0.2",
# "zendframework/zend-servicemanager": "^2.7.5 || ^3.0.3",
-# "zendframework/zend-uri": "^2.5",
-# "zendframework/zend-view": "^2.6.5",
-# "phpunit/phpunit": "^4.6",
-# "zendframework/zend-coding-standard": "~1.0.0"
+# "zendframework/zend-uri": "^2.5.2",
+# "zendframework/zend-view": "^2.9"
+# remirepo:1
+%if 0%{?fedora} >= 27 || 0%{?rhel} >= 8
+BuildRequires: (php-autoloader(%{gh_owner}/zend-stdlib) >= 2.7 with php-autoloader(%{gh_owner}/zend-stdlib) < 4)
+BuildRequires: (php-autoloader(%{gh_owner}/zend-config) >= 2.6 with php-autoloader(%{gh_owner}/zend-config) < 4)
+BuildRequires: (php-autoloader(%{gh_owner}/zend-console) >= 2.6 with php-autoloader(%{gh_owner}/zend-console) < 3)
+BuildRequires: (php-autoloader(%{gh_owner}/zend-http) >= 2.6 with php-autoloader(%{gh_owner}/zend-http) < 3)
+BuildRequires: (php-autoloader(%{gh_owner}/zend-i18n) >= 2.7.3 with php-autoloader(%{gh_owner}/zend-i18n) < 3)
+BuildRequires: (php-autoloader(%{gh_owner}/zend-log) >= 2.9.1 with php-autoloader(%{gh_owner}/zend-log) < 3)
+BuildRequires: (php-autoloader(%{gh_owner}/zend-mvc) >= 2.7.9 with php-autoloader(%{gh_owner}/zend-mvc) < 4)
+BuildRequires: (php-autoloader(%{gh_owner}/zend-permissions-acl) >= 2.6 with php-autoloader(%{gh_owner}/zend-permissions-acl) < 3)
+BuildRequires: (php-autoloader(%{gh_owner}/zend-router) >= 3.0.2 with php-autoloader(%{gh_owner}/zend-router) < 4)
+BuildRequires: (php-autoloader(%{gh_owner}/zend-servicemanager) >= 2.7.5 with php-autoloader(%{gh_owner}/zend-servicemanager) < 4)
+BuildRequires: (php-autoloader(%{gh_owner}/zend-uri) >= 2.5.2 with php-autoloader(%{gh_owner}/zend-uri) < 3)
+BuildRequires: (php-autoloader(%{gh_owner}/zend-view) >= 2.9 with php-autoloader(%{gh_owner}/zend-view) < 3)
+%global phpunit %{_bindir}/phpunit7
+BuildRequires: phpunit7 >= 7.1.2
+# remirepo:28
+%else
+BuildRequires: php-autoloader(%{gh_owner}/zend-stdlib) < 4
+BuildRequires: php-autoloader(%{gh_owner}/zend-stdlib) >= 2.7
+BuildRequires: php-autoloader(%{gh_owner}/zend-config) < 4
BuildRequires: php-autoloader(%{gh_owner}/zend-config) >= 2.6
+BuildRequires: php-autoloader(%{gh_owner}/zend-console) < 3
BuildRequires: php-autoloader(%{gh_owner}/zend-console) >= 2.6
-BuildRequires: php-autoloader(%{gh_owner}/zend-http) >= 2.5.4
-BuildRequires: php-autoloader(%{gh_owner}/zend-i18n) >= 2.6
-BuildRequires: php-autoloader(%{gh_owner}/zend-log) >= 2.7.1
-BuildRequires: php-autoloader(%{gh_owner}/zend-mvc) >= 2.7
-BuildRequires: php-autoloader(%{gh_owner}/zend-router) >= 3.0
+BuildRequires: php-autoloader(%{gh_owner}/zend-http) < 3
+BuildRequires: php-autoloader(%{gh_owner}/zend-http) >= 2.6
+BuildRequires: php-autoloader(%{gh_owner}/zend-i18n) < 3
+BuildRequires: php-autoloader(%{gh_owner}/zend-i18n) >= 2.7.3
+BuildRequires: php-autoloader(%{gh_owner}/zend-log) < 3
+BuildRequires: php-autoloader(%{gh_owner}/zend-log) >= 2.9.1
+BuildRequires: php-autoloader(%{gh_owner}/zend-mvc) < 4
+BuildRequires: php-autoloader(%{gh_owner}/zend-mvc) >= 2.7.9
+BuildRequires: php-autoloader(%{gh_owner}/zend-permissions-acl) < 3
BuildRequires: php-autoloader(%{gh_owner}/zend-permissions-acl) >= 2.6
+BuildRequires: php-autoloader(%{gh_owner}/zend-router) < 4
+BuildRequires: php-autoloader(%{gh_owner}/zend-router) >= 3.0.2
+BuildRequires: php-autoloader(%{gh_owner}/zend-servicemanager) < 4
BuildRequires: php-autoloader(%{gh_owner}/zend-servicemanager) >= 2.7.5
-BuildRequires: php-autoloader(%{gh_owner}/zend-uri) >= 2.5
-BuildRequires: php-autoloader(%{gh_owner}/zend-view) >= 2.6.5
-BuildRequires: php-composer(phpunit/phpunit) >= 4.6
+BuildRequires: php-autoloader(%{gh_owner}/zend-uri) < 3
+BuildRequires: php-autoloader(%{gh_owner}/zend-uri) >= 2.5.2
+BuildRequires: php-autoloader(%{gh_owner}/zend-view) < 3
+BuildRequires: php-autoloader(%{gh_owner}/zend-view) >= 2.9
+%global phpunit %{_bindir}/phpunit6
+BuildRequires: phpunit6 >= 6.5.8
+%endif
%endif
# Autoloader
BuildRequires: php-fedora-autoloader-devel
# From composer, "require": {
-# "php": "^5.5 || ^7.0",
+# "php": "^5.6 || ^7.0",
# "zendframework/zend-stdlib": "^2.7 || ^3.0"
-Requires: php(language) >= 5.5
+Requires: php(language) >= 5.6
%if ! %{bootstrap}
-Requires: php-autoloader(%{gh_owner}/zend-stdlib) >= 2.7
-Requires: php-autoloader(%{gh_owner}/zend-stdlib) < 4
+# remirepo:1
+%if 0%{?fedora} >= 27 || 0%{?rhel} >= 8
+Requires: (php-autoloader(%{gh_owner}/zend-stdlib) >= 2.7 with php-autoloader(%{gh_owner}/zend-stdlib) < 4)
+# remirepo:4
+%else
+Requires: php-autoloader(%{gh_owner}/zend-stdlib) < 4
+Requires: php-autoloader(%{gh_owner}/zend-stdlib) >= 2.7
+%endif
# From composer, "suggest": {
-# "zendframework/zend-config": "^2.6, to provide page configuration (optional, as arrays and Traversables are also allowed)",
+# "zendframework/zend-config": "^2.6 || ^3.1, to provide page configuration (optional, as arrays and Traversables are also allowed)",
# "zendframework/zend-permissions-acl": "^2.6, to provide ACL-based access restrictions to pages",
# "zendframework/zend-router": "^3.0, to use router-based URI generation with Mvc pages",
# "zendframework/zend-servicemanager": "^2.7.5 || ^3.0.3, to use the navigation factories",
-# "zendframework/zend-view": "^2.6.5, to use the navigation view helpers"
-%if 0%{?fedora} >= 21
+# "zendframework/zend-view": "^2.8.1, to use the navigation view helpers"
Suggests: php-autoloader(%{gh_owner}/zend-config)
Suggests: php-autoloader(%{gh_owner}/zend-permissions-acl)
Suggests: php-autoloader(%{gh_owner}/zend-servicemanager)
Suggests: php-autoloader(%{gh_owner}/zend-router)
Suggests: php-autoloader(%{gh_owner}/zend-view)
%endif
-%endif
# Autoloader
Requires: php-composer(fedora/autoloader)
# From phpcompatinfo report for version 2.6.0
@@ -155,9 +190,10 @@ require_once '%{buildroot}%{php_home}/Zend/%{library}/autoload.php';
EOF
ret=0
-for cmd in php php56 php70 php71 php72; do
- if which $cmd; then
- $cmd %{_bindir}/phpunit || ret=1
+for cmdarg in "php %{phpunit}" "php70 %{_bindir}/phpunit6" php71 php72; do
+ if which $cmdarg; then
+ set $cmdarg
+ $1 ${2:-%{_bindir}/phpunit7} --verbose || ret=1
fi
done
exit $ret
@@ -175,6 +211,12 @@ exit $ret
%changelog
+* Thu Apr 26 2018 Remi Collet <remi@remirepo.net> - 2.9.0-2
+- update to 2.9.0
+- raise dependency to PHP 5.6
+- switch to phpunit6 or phpunit7
+- use range dependencies on F27+
+
* Wed Dec 13 2017 Remi Collet <remi@remirepo.net> - 2.8.2-3
- switch from zend-loader to fedora/autoloader